> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Treatment Plan Logs

> Return the audit trail — including 'sent to patient' events.



## OpenAPI

````yaml get /user/patient/treatment-plans/{treatment_plan_id}/logs
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/treatment-plans/{treatment_plan_id}/logs:
    get:
      tags:
        - Patients
      summary: Get Treatment Plan Logs
      description: Return the audit trail — including 'sent to patient' events.
      operationId: >-
        get_treatment_plan_logs_user_patient_treatment_plans__treatment_plan_id__logs_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: treatment_plan_id
          in: path
          required: true
          schema:
            type: string
            title: Treatment Plan Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TreatmentPlanLogSummary'
                title: >-
                  Response Get Treatment Plan Logs User Patient Treatment Plans 
                  Treatment Plan Id  Logs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TreatmentPlanLogSummary:
      properties:
        id:
          type: string
          title: Id
        action:
          $ref: '#/components/schemas/TreatmentPlanLogAction'
        fieldName:
          anyOf:
            - $ref: '#/components/schemas/TreatmentPlanLogField'
            - type: 'null'
        oldValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldvalue
        newValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Newvalue
        source:
          $ref: '#/components/schemas/TreatmentPlanLogSource'
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - action
        - source
      title: TreatmentPlanLogSummary
      description: One audit-log entry (edit or delivery) for a treatment plan.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TreatmentPlanLogAction:
      type: string
      enum:
        - CREATED
        - FIELD_CHANGED
        - SENT_EMAIL
        - SHARED_PORTAL
        - ARCHIVED
      title: TreatmentPlanLogAction
      description: What kind of change or delivery happened to a treatment plan.
    TreatmentPlanLogField:
      type: string
      enum:
        - TITLE
        - SNAPSHOT
        - PATIENT_MESSAGE
        - STATUS
      title: TreatmentPlanLogField
      description: Identifies which field was modified in a FIELD_CHANGED log entry.
    TreatmentPlanLogSource:
      type: string
      enum:
        - USER
        - SYSTEM
      title: TreatmentPlanLogSource
      description: How a treatment plan change was triggered.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````